<?php
/**
 * Unicode Common Locale Data Repository (CLDR) Language-Specific File
 * @Language - Français
 * @Author - Edner Zephir
 * @Email - zephiredner@hotmail.com
 * @Website - https://heaqui.com/
 */
return array(
    // Core Settings
    'RTL' => false,
    'LANG_SUFFIX' => '', /* I.e. if 'RTL' is used, it will load 'SliderArrowRTL.jpg' image file instead of 'SliderArrow.jpg' */
    'LOCALE_LANG' => 'fr_FR',
    'DATATABLES_LANG' => 'French',
    'DATEPICKER_LANG' => 'fr',
    'COUNTRIES_LANG' => 'fr', // ISO 3166-1 alpha-2 country codes file name
    'RECAPTCHA_LANG' => 'fr',

    // Admin Core
	'LANG_AVAILABLE_TEXT' => 'Disponible',
	'LANG_ALLOWED_TEXT' => 'Autorisé',
	'LANG_NOT_ALLOWED_TEXT' => 'Non autorisé',
	'LANG_IMPOSSIBLE_TEXT' => 'Impossible',
	'LANG_DISPLAYED_TEXT' => 'Affiché',
	'LANG_VISIBLE_TEXT' => 'Visible',
	'LANG_HIDDEN_TEXT' => 'Masqué',
	'LANG_ENABLED_TEXT' => 'Activé',
	'LANG_DISABLED_TEXT' => 'Désactivé',
	'LANG_REQUEST_TEXT' => 'Demande',
	'LANG_REQUESTS_TEXT' => 'Demandes',
	'LANG_CHECK_TEXT' => 'Vérifier',
	'LANG_SKIP_TEXT' => 'Passer',
	'LANG_FIND_TEXT' => 'Rechercher',
	'LANG_ADD_TEXT' => 'Ajouter',
	'LANG_YES_TEXT' => 'Oui',
	'LANG_NO_TEXT' => 'Non',
	'LANG_NEVER_TEXT' => 'Jamais',
	'LANG_DROPDOWN_TEXT' => 'Liste déroulant',
	'LANG_SLIDER_TEXT' => 'Curseur',
	'LANG_WITHOUT_TRANSLATION_TEXT' => 'Sans traduction',

    // Core
	'LANG_IMAGE_ALT_TEXT' => 'Image',
	'LANG_PRICE_TEXT' => 'Prix',
	'LANG_PERIOD_TEXT' => 'Période',
	'LANG_DURATION_TEXT' => 'Durée',
	'LANG_ID_TEXT' => 'Identifiant',
	'LANG_ID2_TEXT' => 'Identifiant',
	'LANG_S_ID_S_TEXT' => '%s (identifiant : %s)',
	'LANG_CODE_TEXT' => 'Code',
	'LANG_SKU_TEXT' => 'SKU',
	'LANG_JAN_TEXT' => 'Jan',
	'LANG_FEB_TEXT' => 'Fév',
	'LANG_MAR_TEXT' => 'Mar',
	'LANG_APR_TEXT' => 'Avr',
	'LANG_MAY_TEXT' => 'Mai',
	'LANG_JUN_TEXT' => 'Juin',
	'LANG_JUL_TEXT' => 'juil',
	'LANG_AUG_TEXT' => 'Août',
	'LANG_SEP_TEXT' => 'Sep',
	'LANG_OCT_TEXT' => 'oct',
	'LANG_NOV_TEXT' => 'Nov',
	'LANG_DEC_TEXT' => 'Déc',
	'LANG_MON_TEXT' => 'Lun',
	'LANG_TUE_TEXT' => 'Mar',
	'LANG_WED_TEXT' => 'Mer',
	'LANG_THU_TEXT' => 'Jeu',
	'LANG_FRI_TEXT' => 'Ven',
	'LANG_SAT_TEXT' => 'Sam',
	'LANG_SUN_TEXT' => 'Estomper',
	'LANG_MONDAYS_TEXT' => 'Lundis',
	'LANG_TUESDAYS_TEXT' => 'Mardi',
	'LANG_WEDNESDAYS_TEXT' => 'Mercredis',
	'LANG_THURSDAYS_TEXT' => 'Jeudis',
	'LANG_FRIDAYS_TEXT' => 'Vendrédis',
	'LANG_SATURDAYS_TEXT' => 'Samédis',
	'LANG_SUNDAYS_TEXT' => 'Dimanches',
	'LANG_ONLY_ON_FRIDAY_TEXT' => 'Uniquement le vendredi',
	'LANG_FRIDAY_AND_SATURDAY_TEXT' => 'Vendredi & Samedi',
	'LANG_SATURDAY_AND_SUNDAY_TEXT' => 'Samedi & Dimanche',
	'LANG_MIDNIGHT_TEXT' => 'Minuit',
	'LANG_NOON_TEXT' => 'Midi',
	'LANG_TODAY_TEXT' => 'Aujourd\'hui',
	'LANG_WEEKDAY_TEXT' => 'Jour de la semaine',
	'LANG_WEEKDAY_ONLY_TEXT' => 'En semaine uniquement',
	'LANG_WEEKDAYS_TEXT' => 'En semaine',
	'LANG_WEEKDAYS_ONLY_TEXT' => 'En semaine uniquement',
	'LANG_WEEKNIGHT_TEXT' => 'Nuit de semaine',
	'LANG_WEEKNIGHT_ONLY_TEXT' => 'Soir en semaine uniquement',
	'LANG_WEEKNIGHTS_TEXT' => 'Les soirs de semaine',
	'LANG_WEEKNIGHTS_ONLY_TEXT' => 'Les soirs de semaine uniquement',
	'LANG_WEEKEND_TEXT' => 'Week-end',
	'LANG_WEEKEND_ONLY_TEXT' => 'Week-end uniquement',
	'LANG_WEEKENDS_TEXT' => 'Week-end',
	'LANG_WEEKENDS_ONLY_TEXT' => 'Week-end uniquement',
	'LANG_S_PARTIAL_DAY_TEXT' => '%s - 24:00',
	'LANG_ALL_DAY_TEXT' => '24H',
	'LANG_ALL_DAYS_TEXT' => 'Tous les jours',
	'LANG_ALL_NIGHTS_TEXT' => 'Toutes les nuits',
	'LANG_ALL_WEEK_TEXT' => 'Toute la semaine',
	'LANG_ALL_WEEKS_TEXT' => 'Toutes les semaines',
	'LANG_ALL_MONTH_TEXT' => 'Toute la semaine',
	'LANG_ALL_MONTHS_TEXT' => 'Toutes les semaines',
	'LANG_ALL_YEAR_TEXT' => 'Toute l\'année',
	'LANG_ALL_YEARS_TEXT' => 'Toutes les années',
	'LANG_DATE_TEXT' => 'Date',
	'LANG_DATE_SELECT_TEXT' => 'Date :',
	'LANG_DATE_SELECT2_TEXT' => '- Sélectionner une date -', // Mo
	'LANG_DATE_SELECTOR_TEXT' => 'Sélecteur de dates',
	'LANG_DATE_FORMAT_TEXT' => 'Format des dates',
	'LANG_TIMEFRAME_TEXT' => 'Période',
	'LANG_TIMEFRAME_SELECT_TEXT' => 'Période :',
	'LANG_TIMEFRAME_SELECT2_TEXT' => '- Période -',
	'LANG_ANYTIME_TEXT' => 'À tout moment',
	'LANG_ALL_TIME_TEXT' => 'De tous les temps',
	'LANG_TIME_TEXT' => 'Temps',
	'LANG_TIME_SELECT_TEXT' => 'Temps :', // Mo
	'LANG_TIME_SELECT2_TEXT' => '- Sélectionnez Temps -', // Mo
	'LANG_S_AGO_TEXT' => '%s ago', // Aucun préfixe supplémentaire n'est nécessaire ici - restez simple
	'LANG_YEAR_TEXT' => 'Année',
	'LANG_YEAR1_TEXT' => 'année',
	'LANG_YEAR_SELECT_TEXT' => 'Annee',
	'LANG_YEARS_TEXT' => 'Années',
	'LANG_YEARS2_TEXT' => 'années',
	'LANG_YEARS10_TEXT' => 'années',
	'LANG_MONTH_TEXT' => 'Mois',
	'LANG_MONTH1_TEXT' => 'mois',
	'LANG_MONTH_SELECT_TEXT' => 'Mois',
	'LANG_MONTHS_TEXT' => 'Mois',
	'LANG_MONTHS2_TEXT' => 'mois',
	'LANG_MONTHS10_TEXT' => 'mois', // 10 mois
	'LANG_WEEK_TEXT' => 'Semaine',
	'LANG_WEEK1_TEXT' => 'semaine', // 1 semaine
	'LANG_WEEKS_TEXT' => 'Semaines',
	'LANG_WEEKS2_TEXT' => 'semaines', // 2-9 semaines
	'LANG_WEEKS10_TEXT' => 'semaines', // 10 semaines
	'LANG_DAY_TEXT' => 'Jour',
	'LANG_DAY1_TEXT' => 'jour',
	'LANG_DAY_SELECT_TEXT' => 'Journée',
	'LANG_DAYS_TEXT' => 'Jours',
	'LANG_DAYS2_TEXT' => 'jours',
	'LANG_DAYS10_TEXT' => 'jours',
	'LANG_NIGHT_TEXT' => 'Nuit',
	'LANG_NIGHT1_TEXT' => 'nuit',
	'LANG_NIGHT_SELECT_TEXT' => 'Nuit',
	'LANG_NIGHTS_TEXT' => 'Nuits',
	'LANG_NIGHTS2_TEXT' => 'nuits', // 2-9 nuits
	'LANG_NIGHTS10_TEXT' => 'nuits', // 10 nuits
	'LANG_HOUR_TEXT' => 'Heure',
	'LANG_HOUR1_TEXT' => 'heure',
	'LANG_HOURS_TEXT' => 'heures',
	'LANG_HOURS2_TEXT' => 'heures',
	'LANG_HOURS10_TEXT' => 'heures',
	'LANG_MINUTE_TEXT' => 'Minute',
	'LANG_MINUTE1_TEXT' => 'minute',
	'LANG_MINUTES_TEXT' => 'Minutes',
	'LANG_MINUTES2_TEXT' => 'minutes',
	'LANG_MINUTES10_TEXT' => 'minutes',
	'LANG_ONCE_TEXT' => 'Une fois',
	'LANG_YEARLY_TEXT' => 'Annuel',
	'LANG_MONTHLY_TEXT' => 'Mensuel',
	'LANG_WEEKLY_TEXT' => 'Hebdomadaire',
	'LANG_DAILY_TEXT' => 'Quotidiennement',
	'LANG_NIGHTLY_TEXT' => 'La nuit',
	'LANG_HOURLY_TEXT' => 'Par heure',
	'LANG_EVERY_MINUTE_TEXT' => 'Toutes les minutes',
	'LANG_REPEAT_YEARLY_TEXT' => 'Répéter chaque année',
	'LANG_REPEAT_TEXT' => 'Répéter',
	'LANG_DO_NOT_REPEAT_TEXT' => 'Ne pas répéter',
	'LANG_BY_TIME_COUNT_TEXT' => 'Par décompte de temps',
	'LANG_BY_NOON_COUNT_TEXT' => 'Par midi compté',
	'LANG_BY_DATE_COUNT_TEXT' => 'Par date de comptage',
	'LANG_IN_MINUTES_ONLY_TEXT' => 'En minutes seulement',
	'LANG_IN_HOURS_ONLY_TEXT' => 'En heures seulement',
	'LANG_IN_DAYS_ONLY_TEXT' => 'En jours uniquement',
	'LANG_IN_NIGHTS_ONLY_TEXT' => 'En nuit uniquement',
	'LANG_IN_MONTHS_ONLY_TEXT' => 'En mois seulement',
	'LANG_IN_YEARS_ONLY_TEXT' => 'En années uniquement',
	'LANG_IN_HOURS_AND_MINUTES_TEXT' => 'En heures & minutes',
	'LANG_IN_DAYS_AND_HOURS_TEXT' => 'En jours & heures',
	'LANG_IN_NIGHTS_AND_HOURS_TEXT' => 'En nuits & heures',
	'LANG_IN_YEARS_AND_MONTHS_TEXT' => 'En années & mois',
	'LANG_ON_ST_TEXT' => 'euh', // Le 21 janvier
	'LANG_ON_ND_TEXT' => 'ème', // Le 22 janvier
	'LANG_ON_RD_TEXT' => 'ème', // Le 23 janvier
	'LANG_ON_TH_TEXT' => 'ème', // Le 24 janvier
	'LANG_ON_TEXT' => 'le', // sur
	'LANG_THE_ST_TEXT' => 'euh', // 1er, faites la recherche
	'LANG_THE_ND_TEXT' => 'ème', // 2ème, sélectionnez un emplacement
	'LANG_THE_RD_TEXT' => 'ème', // 3ème, sélectionnez un modèle d'article
	'LANG_THE_TH_TEXT' => 'ème', // 4ème, choisissez les extras
	'LANG_UPCOMING_TEXT' => 'À venir',
	'LANG_PAST_TEXT' => 'Passé',
	'LANG_PREVIOUS_TEXT' => 'Retour',
	'LANG_NEXT_TEXT' => 'Suivant',
	'LANG_NA_TEXT' => 'N/A',
	'LANG_NOT_APPLICABLE_TEXT' => 'Non applicable',
	'LANG_NOT_APPLICABLE2_TEXT' => 'Non applicable', // Majuscule minuscule
	'LANG_NOT_ASSIGNED_TEXT' => 'Non attribué',
	'LANG_NOT_ASSIGNED2_TEXT' => 'Non attribué', // Majuscule minuscule
	'LANG_NONE_TEXT' => 'Aucun',
	'LANG_NOT_SET_TEXT' => 'Pas encore défini',
	'LANG_NOT_SET2_TEXT' => 'Pas encore défini', // Majuscule minuscule
	'LANG_DOES_NOT_EXIST_TEXT' => 'N\'existe pas',
	'LANG_EXIST_TEXT' => 'Existe',
	'LANG_NOT_REQ_TEXT' => 'Non requis.',
	'LANG_REQ_TEXT' => 'Demande.',
	'LANG_NOT_REQUIRED_TEXT' => 'Non requis',
	'LANG_REQUIRED_TEXT' => 'Requis',
	'LANG_DONT_DISPLAY_TEXT' => 'Ne pas afficher',
	'LANG_FROM_TEXT' => 'De',
	'LANG_TO_TEXT' => 'À', // À propos du lieu, de l'événement
	'LANG_TILL_TEXT' => 'Jusqu\'à', // A propos de la date
	'LANG_START_TEXT' => 'Démarrer',
	'LANG_END_TEXT' => 'Fin',
	'LANG_ALL_TEXT' => 'Tout',
	'LANG_OR_TEXT' => 'Ou',
	'LANG_AND_TEXT' => 'et',
	'LANG_OTHER_TEXT' => 'Autre',
	'LANG_UNLIMITED_TEXT' => 'Illimité',
	'LANG_INFINITE_TEXT' => 'Infini',
	'LANG_INF_TEXT' => 'Inf.',
	'LANG_TOTAL_TEXT' => 'Totale',
	'LANG_INCLUDE_TEXT' => 'Inclure',
	'LANG_EXCLUDE_TEXT' => 'Exclure',
	'LANG_INCLUDED_TEXT' => 'Inclus',
	'LANG_EXCLUDED_TEXT' => 'Exclu',
	'LANG_ICON_TEXT' => 'Icône',
	'LANG_LABEL_TEXT' => 'Libellé',
	'LANG_CAPTION_TEXT' => 'Légende',
	'LANG_HEADING_TEXT' => 'Titre',
	'LANG_SEARCHABLE_TEXT' => 'Recherchable',
	'LANG_LIST_ORDER_TEXT' => 'Commander',
	'LANG_LIST_ORDER_BY_TEXT' => 'Trier par',
	'LANG_LIST_ORDER_BY_SELECT_TEXT' => 'Trier par :',
	'LANG_LIST_ORDER_BY_SELECT2_TEXT' => '- Trier par -',
	'LANG_POSITION_TEXT' => 'Position',
	'LANG_POS_TEXT' => 'Pos.',
	'LANG_ACTIONS_TEXT' => 'Actions',
	'LANG_PREVIEW_TEXT' => 'Aperçu',
	'LANG_SAVE_TEXT' => 'Enregistrer',
	'LANG_EDIT_TEXT' => 'Modifier',
	'LANG_DELETE_TEXT' => 'Supprimer',
	'LANG_UPDATE_TEXT' => 'Mettre à jour',
	'LANG_LOCK_TEXT' => 'Verrouiller',
	'LANG_UNLOCK_TEXT' => 'Déverrouiller',
	'LANG_CANCEL_TEXT' => 'Annuler',
	'LANG_UNBLOCK_TEXT' => 'Débloquer',
	'LANG_MORE_TEXT' => 'Plus',
	'LANG_NOTES_TEXT' => 'Notes',
	'LANG_PRIVATE_NOTES_TEXT' => 'Notes privées',
    'LANG_PRIVATE_NOTES2_TEXT' => 'Notes privées', // Majuscule minuscule
	'LANG_PUBLIC_NOTES_TEXT' => 'Notes publiques',
	'LANG_PUBLIC_NOTES2_TEXT' => 'Notes publiques', // Majuscule minuscule
	'LANG_VIEW_NOTES_TEXT' => 'Voir les notes',
	'LANG_VIEW_NOTES2_TEXT' => 'Voir les notes', // Majuscule minuscule
	'LANG_BACK_TEXT' => 'Retour',
	'LANG_GO_TO_HOME_PAGE_TEXT' => 'Aller à la page d\'accueil',
	'LANG_CONTINUE_TEXT' => 'Continuer',
	'LANG_CONFIRM_TEXT' => 'Confirmer',
	'LANG_CHOOSE_TEXT' => 'Choisir',
	'LANG_SELECT_TEXT' => 'Sélectionner',
	'LANG_DROPDOWN_SELECT_TEXT' => 'Sélectionner :',
	'LANG_DROPDOWN_SELECT2_TEXT' => '- Sélectionner -',
	'LANG_DROPDOWN_SELECT3_TEXT' => '--- Sélectionner ---',
	'LANG_SELECT_S_TEXT' => 'Sélectionner %s',
	'LANG_DROPDOWN_SELECT_S_TEXT' => 'Sélectionner %s :',
	'LANG_DROPDOWN_SELECT2_S_TEXT' => '- Sélectionner %s -',
	'LANG_DROPDOWN_SELECT3_S_TEXT' => '--- Sélectionner %s ---',
	'LANG_THANK_YOU_TEXT' => 'Merci !',
	'LANG_LOADING_TEXT' => 'Chargement ...',
	'LANG_UNIT_TEXT' => 'Unité',
	'LANG_UNIT2_TEXT' => 'unité',
	'LANG_UNITS_TEXT' => 'Unités',
	'LANG_UNITS2_TEXT' => 'unités',
	'LANG_UNITS_SUFFIX_TEXT' => 'Unité(s)',
	'LANG_UNITS_SUFFIX2_TEXT' => 'unité(s)',
	'LANG_MULTIPLIER_TEXT' => 'Multiplicateur',
	'LANG_OPTIONAL_TEXT' => 'Facultatif',
	'LANG_OPTIONAL2_TEXT' => 'optionnel', // Minuscule
	'LANG_QUANTITY_TEXT' => 'Quantité',
	'LANG_QUANTITY_SHORT_TEXT' => 'Quantité.',
	'LANG_APPLICATION_TEXT' => 'Candidature',
	'LANG_APPLICATION2_TEXT' => 'application', // Minuscule
	'LANG_APPLICATIONS_TEXT' => 'Applications',
	'LANG_APPLICATIONS2_TEXT' => 'applications', // Minuscule
	'LANG_APPLICATIONS_SUFFIX_TEXT' => 'Application(s)',
	'LANG_APPLICATIONS_SUFFIX2_TEXT' => 'application(s)', // Minuscule
	'LANG_VISITOR_TEXT' => 'Visiteur',
	'LANG_TITLE_TEXT' => 'Titre',
	'LANG_MR_TEXT' => 'M.',
	'LANG_MS_TEXT' => 'Moi.',
	'LANG_MRS_TEXT' => 'Mme.',
	'LANG_MISS_TEXT' => 'Madame.',
	'LANG_DR_TEXT' => 'Dr.',
	'LANG_PROF_TEXT' => 'Professeur',
	'LANG_NAME_TEXT' => 'Prénom',
	'LANG_FULL_NAME_TEXT' => 'Prénom complet',
	'LANG_FIRST_NAME_TEXT' => 'Prénom',
	'LANG_LAST_NAME_TEXT' => 'Nom',
	'LANG_DATE_OF_BIRTH_TEXT' => 'Date de naissance',
	'LANG_YEAR_OF_BIRTH_TEXT' => 'Année de naissance',
	'LANG_MONTH_OF_BIRTH_TEXT' => 'Mois de naissance',
	'LANG_DAY_OF_BIRTH_TEXT' => 'Jour de naissance',
	'LANG_ADDRESS_TEXT' => 'Adresse',
	'LANG_STREET_ADDRESS_TEXT' => 'Adresse de rue',
	'LANG_YOUR_PREFERRED_ADDRESS_TEXT' => 'Votre adresse préférée',
	'LANG_PHONE_TEXT' => 'Téléphone',
	'LANG_PHONE_HOURS_TEXT' => 'Heures de téléphone',
	'LANG_CALL_TEXT' => 'Appeler',
	'LANG_EMAIL_TEXT' => 'E-mail',
	'LANG_EMAIL_ADDRESS_TEXT' => 'Adresse e-mail',
	'LANG_FACEBOOK_TEXT' => 'Facebook',
	'LANG_FACEBOOK_URL_TEXT' => 'URL Facebook',
	'LANG_INSTAGRAM_TEXT' => 'Instagram',
	'LANG_INSTAGRAM_URL_TEXT' => 'URL Instagram',
	'LANG_TWITTER_TEXT' => 'Twitter',
	'LANG_TWITTER_URL_TEXT' => 'URL Twitter',
	'LANG_LINKEDIN_TEXT' => 'LinkedIn',
	'LANG_LINKEDIN_URL_TEXT' => 'URL LinkedIn',
	'LANG_GOOGLE_TEXT' => 'Google',
	'LANG_YELP_TEXT' => 'Yelp',
	'LANG_FACEBOOK_LIKE_US_TEXT' => 'J\'aime',
	'LANG_INSTAGRAM_FOLLOW_TEXT' => 'Suivre',
	'LANG_TWITTER_FOLLOW_TEXT' => 'Suivre',
	'LANG_LINKEDIN_CONNECT_TEXT' => 'Se connecter',
	'LANG_IP_TEXT' => 'IP',
	'LANG_IP_ADDRESS_TEXT' => 'Adresse IP',
	'LANG_IP_ADDRESS_VIA_API_TEXT' => 'Adresse IP via API',
	'LANG_REAL_IP_TEXT' => 'IP réelle',
	'LANG_LAST_IP_TEXT' => 'Dernière IP',
	'LANG_LAST_REAL_IP_TEXT' => 'Dernière adresse IP réelle',
	'LANG_URL_TEXT' => 'URL',
	'LANG_REFERRAL_TEXT' => 'Parrainage',
	'LANG_REFERRAL_URL_TEXT' => 'URL de référence',
	'LANG_HOST_TEXT' => 'Hébergeur',
	'LANG_AGENT_TEXT' => 'Agent',
	'LANG_BROWSER_TEXT' => 'Navigateur',
	'LANG_OS_TEXT' => 'Système d\'exploitation',
	'LANG_RESOLUTION_TEXT' => 'Résolution',
	'LANG_ROBOT_TEXT' => 'Robot',
	'LANG_IS_ROBOT_TEXT' => 'Est un robot',
	'LANG_IMAGE_TEXT' => 'Image',
	'LANG_IMAGE_VIEW_TEXT' => 'Voir l\'image',
	'LANG_IMAGE_VIEW_DEMO_TEXT' => 'Voir l\'image de démonstration',
	'LANG_IMAGE_DELETE_TEXT' => 'Supprimer l\'image',
	'LANG_IMAGE_UNSET_DEMO_TEXT' => 'Annuler l\'image de démonstration',
	'LANG_IMAGE_NONE_TEXT' => 'Pas d\'image',
	'LANG_LOGO_TEXT' => 'Logo',
	'LANG_LOGO_VIEW_TEXT' => 'Voir le logo',
	'LANG_LOGO_VIEW_DEMO_TEXT' => 'Afficher le logo de démonstration',
	'LANG_LOGO_DELETE_TEXT' => 'Supprimer le logo',
	'LANG_LOGO_UNSET_DEMO_TEXT' => 'Annuler le logo de démonstration',
	'LANG_LOGO_NONE_TEXT' => 'Pas de logo',
	'LANG_PHOTO_TEXT' => 'Photo',
	'LANG_PHOTO_VIEW_TEXT' => 'Voir la photo',
	'LANG_PHOTO_VIEW_DEMO_TEXT' => 'Voir la photo de démonstration',
	'LANG_PHOTO_DELETE_TEXT' => 'Supprimer la photo',
	'LANG_PHOTO_UNSET_DEMO_TEXT' => 'Annuler la photo de démonstration',
	'LANG_PHOTO_NONE_TEXT' => 'Pas de photos',
	'LANG_NO_ERRORS_TEXT' => 'Aucune erreur',
	'LANG_UNKNOWN_TEXT' => 'Inconnu',
	'LANG_UNKNOWN_ERROR_TEXT' => 'Erreur inconnue.',
    'LANG_PLEASE_KEEP_IN_MIND_THAT_TEXT' => 'Veuillez garder à l\'esprit que',
	'LANG_VIEW_DETAILS_TEXT' => 'Voir les détails',
	'LANG_VIEW_PAGE_IN_NEW_WINDOW_TEXT' => 'Afficher la page %s dans une nouvelle fenêtre',
	'LANG_PAGE_NOT_FOUND_TEXT' => 'Page introuvable',
	'LANG_PAGE_NOT_FOUND2_TEXT' => 'Page introuvable', // Majuscule minuscule
	'LANG_NOTICE_S_TEXT' => 'Remarque : %s',
	'LANG_ERROR_IN_S_METHOD_S_TEXT' => 'Erreur dans la méthode \'%s\' : %s !',
	'LANG_SYSTEM_ERROR_PLEASE_CONTACT_SITE_ADMINISTRATOR_TEXT' => 'Erreur système ! Veuillez contacter l\'administrateur du site si vous continuez à voir ce message !',
	'LANG_SYSTEM_IS_UNABLE_TO_COMPLETE_YOUR_REQUEST_ERROR_TEXT' => 'Erreur : le système ne peut pas terminer votre demande !',

    // Counters Observer
	'LANG_COUNTERS_TEXT' => 'Compteurs',
	'LANG_COUNTERS_ATTEMPT_TEXT' => 'Compteurs de tentatives',
	'LANG_COUNTERS_IP_TEXT' => 'Compteurs IP',

    // Counter Element
	'LANG_COUNTER_TEXT' => 'Compteur',
	'LANG_COUNTER_ATTEMPT_TEXT' => 'Compteur de tentatives',
	'LANG_COUNTER_IP_TEXT' => 'Compteur IP',
	'LANG_COUNTER_STATUS_ACTIVE_TEXT' => 'Actif',
	'LANG_COUNTER_STATUS_EXPIRED_TEXT' => 'Expiré',
	'LANG_COUNTER_RETENTION_PERIOD_TEXT' => 'Période de rétention du compteur',

    // OK / Error Messages - Counter Element
	'LANG_COUNTER_HOURLY_API_REQUESTS_LIMIT_EXCEEDED_ERROR_TEXT' => 'Erreur : Vous avez dépassé la limite de requêtes API cette heure !',
	'LANG_COUNTER_EXISTS_ERROR_TEXT' => 'Erreur : le compteur existe déjà !',
	'LANG_COUNTER_INSERTION_ERROR_TEXT' => 'Erreur : Erreur d\'insertion MySQL pour le nouveau compteur !',
	'LANG_COUNTER_INSERTED_TEXT' => 'Terminé : le nouveau compteur a été ajouté avec succès !',
	'LANG_COUNTER_TIMESTAMP_AND_COUNT_UPDATE_ERROR_TEXT' => 'Erreur : Erreur de mise à jour MySQL pour le dernier horodatage et le décompte du compteur !',
	'LANG_COUNTER_TIMESTAMP_AND_COUNT_UPDATED_TEXT' => 'Terminé : le dernier horodatage et le compteur ont été mis à jour !',

    // OK / Error Messages - (Database) Update
	'LANG_DATABASE_UPDATE_CANT_PATCH_MAJOR_MINOR_DIFFERENT_NOTICE_TEXT' => 'Remarque : impossible de patcher - le majeur et le mineur actuels sont différents de la classe de mise à jour !',
	'LANG_DATABASE_UPDATE_PATCH_CLASS_S_WRONG_INTERFACE_ERROR_TEXT' => 'Erreur : la classe de correctifs \'%s\' n\'est pas une instance de PatchInterface !',
	'LANG_DATABASE_UPDATE_PATCH_CLASS_S_DOES_NOT_EXIST_ERROR_TEXT' => 'Erreur : la classe de correctifs \'%s\' - n\'existe pas !',
	'LANG_DATABASE_UPDATE_EARLY_STRUCTURE_ALTER_ERROR_TEXT' => 'Erreur sur le blog #%d : erreur de modification MySQL pour la structure précoce du plugin !',
	'LANG_DATABASE_UPDATE_EARLY_STRUCTURE_ALTERED_TEXT' => 'Terminé sur le blog #%d : la structure initiale du plugin a été modifiée avec succès !',
	'LANG_DATABASE_UPDATE_LATE_STRUCTURE_ALTER_ERROR_TEXT' => 'Erreur sur le blog #%d : Erreur de modification MySQL pour la structure tardive du plugin !',
	'LANG_DATABASE_UPDATE_LATE_STRUCTURE_ALTERED_TEXT' => 'Terminé sur le blog #%d : la structure tardive du plugin a été modifiée avec succès !',
	'LANG_DATABASE_UPDATE_DATA_UPDATE_ERROR_TEXT' => 'Erreur sur le blog #%d : erreur de mise à jour MySQL pour les données du plugin !',
	'LANG_DATABASE_UPDATE_DATA_UPDATED_TEXT' => 'Terminé sur le blog #%d : les données du plugin ont été mises à jour avec succès !',
	'LANG_DATABASE_UPDATE_QUERY_FAILED_FOR_S_TABLE_AT_COUNTER_D_ERROR_TEXT' => 'Erreur sur le blog #%d : la requête MySQL n\'a pas pu être traitée dans la table \'%s\' au compteur #%d !',
	'LANG_DATABASE_UPDATE_ROLES_UPDATE_ERROR_TEXT' => 'Erreur sur le blog #%d : erreur de mise à jour MySQL pour les rôles de plug-in !',
	'LANG_DATABASE_UPDATE_ROLES_UPDATED_TEXT' => 'Terminé sur le blog #%d : les rôles du plug-in ont été mis à jour avec succès !',
	'LANG_DATABASE_UPDATE_CAPABILITIES_UPDATE_ERROR_TEXT' => 'Erreur sur le blog #%d : erreur de mise à jour MySQL pour les fonctionnalités du plug-in !',
	'LANG_DATABASE_UPDATE_CAPABILITIES_UPDATED_TEXT' => 'Terminé sur le blog #%d : les capacités du plugin ont été mises à jour avec succès !',
	'LANG_DATABASE_UPDATE_EARLY_STRUCTURE_PATCH_ERROR_TEXT' => 'Erreur sur le blog #%d : erreur de patch MySQL pour la structure précoce du plugin !',
	'LANG_DATABASE_UPDATE_EARLY_STRUCTURE_PATCHED_TEXT' => 'Terminé sur le blog #%d : la structure initiale du plugin a été corrigée avec succès !',
	'LANG_DATABASE_UPDATE_LATE_STRUCTURE_PATCH_ERROR_TEXT' => 'Erreur sur le blog #%d : erreur de correctif MySQL pour la structure tardive du plug-in !',
	'LANG_DATABASE_UPDATE_LATE_STRUCTURE_PATCHED_TEXT' => 'Terminé sur le blog #%d : la structure tardive du plugin a été corrigée avec succès !',
	'LANG_DATABASE_UPDATE_DATA_PATCH_ERROR_TEXT' => 'Erreur sur le blog #%d : erreur de mise à jour MySQL pour le correctif de données du plug-in !',
	'LANG_DATABASE_UPDATE_DATA_PATCHED_TEXT' => 'Terminé sur le blog #%d : les données du plugin ont été corrigées avec succès !',
	'LANG_DATABASE_UPDATE_SEMANTIC_VERSION_UPDATE_ERROR_TEXT' => 'Erreur sur le blog #%d : erreur de mise à jour MySQL pour la version sémantique de la base de données du plugin !',
	'LANG_DATABASE_UPDATE_SEMANTIC_VERSION_UPDATED_TEXT' => 'Terminé sur le blog #%d : la version sémantique de la base de données du plugin a été mise à jour vers %s !',

    // Demos Observer
	'LANG_DEMOS_TEXT' => 'Démos',
	'LANG_DEMOS_SHORT_TEXT' => 'Démos',

    // Demo Element
	'LANG_DEMO_SELECT_TEXT' => ' --- Sélectionnez Démo --- ',
	'LANG_DEMO_IMPORT_TEXT' => 'Importer la démo',
    'LANG_DEMO_IMPORT_SHORT_TEXT' => 'Importer',
	'LANG_DEMO_NOTE_ON_DATA_FLUSHING_TEXT' => 'En important la démo, vous viderez toutes vos données existantes de ce plugin.',
	'LANG_DEMO_NOTE_ON_NO_AFFECT_TO_OTHER_CONTENT_TEXT' => 'Les autres contenus du site Web, y compris le contenu des pages, ne seront pas affectés, vous devez donc toujours ajouter les shortcodes par vous-même.',
	'LANG_DEMO_NOTE_TO_HAVE_DATABASE_BACKUP_TEXT' => 'Assurez-vous d\'avoir la dernière sauvegarde de la base de données avec vous avant d\'importer une démo.',

    // OK / Error Messages - Demo Element
	'LANG_DEMO_IMPORTING_DIALOG_TEXT' => 'Êtes-vous sûr ? Cela videra tout le contenu du plugin que vous avez !',
	'LANG_DEMO_SQL_FILE_DOES_NOT_EXIST_OR_IS_NOT_READABLE_TEXT' => 'Erreur : le fichier SQL de démonstration n\'existe pas ou n\'est pas lisible !',
	'LANG_DEMO_INSERTION_ERROR_TEXT' => 'Erreur : MySQL insère une erreur dans l\'importation des données de démonstration !',
	'LANG_DEMO_INSERTED_TEXT' => 'Terminé : les données de démonstration ont été importées avec succès !',

    // Guests Observer
	'LANG_GUESTS_TEXT' => 'Invités',

    // OK / Error Messages - Guests Observer
	'LANG_GUESTS_ONLY_FEATURE_PLEASE_LOGOUT_FIRST_ERROR_TEXT' => 'Erreur : Cette fonctionnalité est disponible uniquement pour les invités. Veuillez d\'abord vous déconnecter !',

    // Guest Element
	'LANG_GUEST_TEXT' => 'Invité',
	'LANG_GUEST_NO_ACCOUNT_TEXT' => 'Pas de compte',
	'LANG_GUEST_NO_ACCOUNT2_TEXT' => 'Pas de compte', // Majuscule minuscule

    // OK / Error Messages - Guest Element
	'LANG_GUEST_CUSTOMER_LOOKUP_IS_DISABLED_ERROR_TEXT' => 'Erreur : la recherche de clients invités est désactivée !',

    // Install Element
    'LANG_INSTALL_TEXT' => 'Installer',

    // OK / Error Messages - Install Element
    'LANG_INSTALL_INSERTION_ERROR_TEXT' => 'Erreur sur le blog #%d : erreur d\'insertion MySQL dans la nouvelle installation !',
	'LANG_INSTALL_INSERTED_TEXT' => 'Terminé sur le blog #%d : les données d\'installation ont été insérées avec succès !',
	'LANG_INSTALL_REPLACE_ERROR_TEXT' => 'Erreur sur le blog #%d : erreur de remplacement MySQL pour les données d\'installation !',
	'LANG_INSTALL_REPLACED_TEXT' => 'Terminé sur le blog #%d : les données d\'installation ont été remplacées avec succès !',

    // Licenses Observer
	'LANG_LICENSES_TEXT' => 'Licences',

    // License Element
    'LANG_LICENSE_TEXT' => 'Licence',
    'LANG_LICENSE_SERVER_TEXT' => 'Serveur de licences',
    'LANG_LICENSE_STATUS_TEXT' => 'Statut de la licence',
    'LANG_LICENSE_STATUS_ACTIVATED_TEXT' => 'Activé',
    'LANG_LICENSE_STATUS_NOT_ACTIVATED_TEXT' => 'Non activé',
    'LANG_LICENSE_ACTIVATION_TEXT' => 'Activation de licence',
    'LANG_LICENSE_PURCHASE_CODE_TEXT' => 'Code d\'achat',
    'LANG_LICENSE_EMAIL_TEXT' => 'Courriel de licence',
    'LANG_LICENSE_INSTALL_DOMAIN_TEXT' => 'Installer le domaine',
    'LANG_LICENSE_TYPE_TEXT' => 'Type de licence',
    'LANG_LICENSE_TYPE_REGULAR_TEXT' => 'Licence régulière',
    'LANG_LICENSE_TYPE_EXTENDED_TEXT' => 'Licence étendue',
    'LANG_LICENSE_TYPE_PARTNER_TEXT' => 'Licence partenaire',
    'LANG_LICENSE_ACTIVATION_AGREEMENT_TEXT' => 'J\'accepte que, à des fins de validation de licence, le nom du plugin, la version du plugin, mes détails d\'activation - code d\'achat, nom d\'utilisateur de licence, e-mail de licence, domaine de licence - et le domaine de mon site actuel (%s) être transféré à SOLIDMVC.com, qui le comparera avec les données sur les serveurs Envato.com via des appels API.',
    'LANG_LICENSE_ACTIVATE_TEXT' => 'Activer la licence',
    'LANG_LICENSE_RESET_TEXT' => 'réinitialiser votre licence',
    'LANG_LICENSE_GO_TO_NETWORK_ADMIN_TEXT' => 'To check license details of network-enabled plugin, go to "Car Rental -> Status -> Tab: License" menu item, located in WordPress Network Admin.',
    'LANG_LICENSE_NOTE_OF_SINGLE_USE_TEXT' => 'Une licence achetée peut être activée pour un e-mail et un domaine uniquement.',
    'LANG_LICENSE_NOTE_ON_CHANGING_DETAILS_LATER_TEXT' => 'Si vous décidez de modifier ultérieurement votre nom d\'utilisateur, votre adresse e-mail ou votre domaine d\'activation de licence, vous pourrez réinitialiser votre licence après l\'activation et la réactiver avec de nouveaux détails.',
    'LANG_LICENSE_NOTE_TO_RESET_TEXT' => 'Pour modifier votre nom d\'utilisateur, votre adresse e-mail ou votre domaine d\'activation de licence - %s et le réactiver avec de nouveaux détails.',
    'LANG_LICENSE_NOTE_FOR_ENVIRONMENT_TEXT' => 'Even if you are working in a localhost environment or in a pre-production website, when activating please use the domain name of your live (final) website (i.e. MyWebsite.com).',

    // OK / Error Messages - License Element
    'LANG_LICENSE_EXISTS_ERROR_TEXT' => 'Erreur : la licence existe déjà !',
    'LANG_LICENSE_INVALID_TYPE_ERROR_TEXT' => 'Erreur : Type de licence invalide !',
    'LANG_LICENSE_INSERTION_ERROR_TEXT' => 'Erreur : Erreur d\'insertion MySQL pour la nouvelle licence !',
    'LANG_LICENSE_INSERTED_TEXT' => 'Terminé : Une licence a été ajoutée !',
    'LANG_LICENSE_DELETION_ERROR_TEXT' => 'Erreur : erreur de suppression MySQL pour la licence existante. Aucune ligne n\'a été supprimée de la base de données !',
    'LANG_LICENSE_DELETED_TEXT' => 'Terminé : la licence a été supprimée !',
    'LANG_LICENSE_INVALID_PURCHASE_CODE_ERROR_TEXT' => 'Erreur : le code d\'achat que vous avez fourni n\'est pas valide !',
    'LANG_LICENSE_USERNAME_MISMATCH_ERROR_TEXT' => 'Erreur : le nom d\'utilisateur que vous avez fourni ne correspond pas au nom d\'utilisateur de la licence !',
    'LANG_LICENSE_PURCHASE_DATE_MISMATCH_ERROR_TEXT' => 'Erreur : la date d\'achat que vous avez fournie ne correspond pas à la date d\'achat de la licence !',
    'LANG_LICENSE_OUTDATED_ERROR_TEXT' => 'Erreur : Cette licence ne peut plus être activée car l\'élément de cette licence est obsolète. Veuillez mettre à niveau votre article vers la version la plus récente.',
    'LANG_LICENSE_ACTIVATION_ERROR_TEXT' => 'Erreur : erreur de mise à jour MySQL lors de la tentative d\'activation de la licence !',
    'LANG_LICENSE_ACTIVATED_TEXT' => 'Terminé : la licence a été activée !',
    'LANG_LICENSE_RESET_ERROR_TEXT' => 'Erreur : Erreur de mise à jour MySQL lors de la tentative de réinitialisation de la licence !',
    'LANG_LICENSE_HAD_RESET_TEXT' => 'Terminé : la licence a été réinitialisée avec succès !',

    // (Linked) Nodes Observer
    'LANG_LINKED_NODES_TEXT' => 'Nœuds liés',

    // (Linked) Nodes Element
    'LANG_LINKED_NODE_TEXT' => 'Nœud lié',

    // OK / Error Messages - (Linked) Nodes Element
    'LANG_LINKED_NODE_BLANK_CHECKSUM_ERROR_TEXT' => 'Erreur : la somme de contrôle est vide pour le nœud lié !',
    'LANG_LINKED_NODE_UPDATE_ERROR_TEXT' => 'Erreur : erreur de mise à jour MySQL pour le nœud lié existant !',
    'LANG_LINKED_NODE_UPDATED_TEXT' => 'Terminé : le nœud lié a été mis à jour avec succès !',
    'LANG_LINKED_NODE_INSERTION_ERROR_TEXT' => 'Erreur : Erreur d\'insertion MySQL pour le nouveau nœud lié !',
    'LANG_LINKED_NODE_INSERTED_TEXT' => 'Terminé : un nœud lié a été ajouté !',
    'LANG_LINKED_NODE_DELETION_ERROR_TEXT' => 'Erreur : erreur de suppression MySQL pour le nœud lié existant. Aucune ligne n\'a été supprimée de la base de données !',
    'LANG_LINKED_NODE_DELETED_TEXT' => 'Terminé : le nœud lié a été supprimé !',

    // Logs Observer
    'LANG_LOGS_TEXT' => 'Journaux',

    // Log Element
    'LANG_LOG_TEXT' => 'Journal',
    'LANG_LOG_VIEW_TEXT' => 'Afficher le journal',
    'LANG_LOG_DETAILS_TEXT' => 'Détails du journal',
    'LANG_LOG_BACK_TO_LIST_TEXT' => 'Retour à la liste des journaux',
    'LANG_LOG_ID_TEXT' => 'Identifiant du journal',
    'LANG_LOG_ACTION_TEXT' => 'Action',
    'LANG_LOG_DATE_TEXT' => 'Date de journal',
    'LANG_LOG_DATE_AND_TIME_TEXT' => 'Date et heure du journal',
    'LANG_LOG_RETENTION_PERIOD_TEXT' => 'Période de conservation des journaux',
    'LANG_LOG_D_RESULTS_FOUND_TEXT' => '%d résultats trouvés',
    'LANG_LOG_ERRORS_TEXT' => 'Erreurs',
    'LANG_LOG_DEBUG_TEXT' => 'Journal de débogage',
    'LANG_LOG_STATUS_ALLOWED_TEXT' => 'Autorisé',
    'LANG_LOG_STATUS_FAILED_TEXT' => 'Échec',
    'LANG_LOG_STATUS_BLOCKED_TEXT' => 'Bloqué',

    // Status Element
    'LANG_STATUS_TEXT' => 'Statut',
    'LANG_STATUS_NETWORK_TEXT' => 'État du réseau',
    'LANG_STATUS_SYSTEM_UPDATE_TEXT' => 'Mise à jour du système',
    'LANG_STATUS_NETWORK_UPDATE_TEXT' => 'Mise à jour du réseau',
    'LANG_STATUS_S_SYSTEM_TEXT' => 'État du système %s',
    'LANG_STATUS_NETWORK_ENABLED_TEXT' => 'Réseau activé',
    'LANG_STATUS_DATABASE_MIN_VERSION_TEXT' => 'Base de données min. version',
    'LANG_STATUS_DATABASE_VERSION_TEXT' => 'Version de la base de données des plug-ins',
    'LANG_STATUS_MICROFRAMEWORK_NAME_TEXT' => 'Nom du micro-framework',
    'LANG_STATUS_MICROFRAMEWORK_VERSION_TEXT' => 'Version micro-framework',
    'LANG_STATUS_INSTALLED_VERSION_TEXT' => 'Version du plugin installé',
    'LANG_STATUS_MINOR_UPDATE_AVAILABLE_TEXT' => 'Mise à jour mineure du plugin disponible !',
    'LANG_STATUS_MAJOR_UPGRADE_AVAILABLE_TEXT' => 'Mise à jour majeure du plugin disponible !',
    'LANG_STATUS_NEWEST_EXISTING_VERSION_TEXT' => 'Version la plus récente existante',
    'LANG_STATUS_NEWEST_VERSION_AVAILABLE_TEXT' => 'Dernière version disponible',
    'LANG_STATUS_YOU_HAVE_S_NO_UPDATE_AVAILABLE_TEXT' => 'Vous avez %s. Pas de mise a jour disponible.',
    'LANG_STATUS_THE_NEWEST_VERSION_TEXT' => 'la dernière version du plugin',
    'LANG_STATUS_UPDATE_FOLLOW_STEPS_TEXT' => 'Pour mettre à jour le plugin, suivez ces étapes',
    'LANG_STATUS_UPDATE_STEP_MAKE_A_COPY_TEXT' => 'Toujours faire une copie de votre base de données avant de faire une mise à jour',
    'LANG_STATUS_UPDATE_STEP_DOWNLOAD_NEW_VERSION_TEXT' => 'Télécharger la nouvelle version',
    'LANG_STATUS_UPDATE_STEP_UPLOAD_VIA_FTP_TEXT' => 'If your server does not support file overriding, remove the old plugin folder via FTP (do not uninstall it, just remove the folder)',
    'LANG_STATUS_UPDATE_STEP_UPLOAD_NEW_VERSION_TEXT' => 'Télécharger la nouvelle version du plugin',
    'LANG_STATUS_UPDATE_STEP_ACTIVATE_NEW_VERSION_TEXT' => 'Activer la nouvelle version du plugin',
    'LANG_STATUS_UPDATE_STEP_S_CLICK_UPDATE_TEXT' => 'Retournez à la page "%s -> Status" et cliquez sur le bouton [Update] - cela mettra à jour les tables de la base de données du plugin',
    'LANG_STATUS_UPDATE_STEP_DONE_TEXT' => 'C\'est tout',
    'LANG_STATUS_GO_TO_S_NETWORK_ADMIN_TEXT' => 'Pour vérifier les mises à jour du plugin compatible réseau, accédez à l\'élément de menu "%s -> Statut", situé dans WordPress Network Admin.',
    'LANG_STATUS_NOTE_FOR_POSSIBLY_NOT_IMPORTED_DATA_TEXT' => 'Remarque : Vous pouvez également voir ce message, car vous n\'avez pas encore importé les données du plug-in sur ce blog précis. Pour ce faire, accédez à la liste des plug-ins de votre blog actuel et cliquez sur "Importer des données" sous le nom du plug-in.',
    'LANG_STATUS_NETWORK_NOTE_FOR_POSSIBLY_NOT_IMPORTED_DATA_TEXT' => 'Remarque : Vous pouvez également voir ce message, car il se peut qu\'il n\'y ait aucun blog sur votre réseau sur lequel les données du plugin ont été importées. Pour l\'importer, accédez à l\'une des listes de plug-ins de votre blog et cliquez sur "Importer des données" sous le nom du plug-in.',
    'LANG_STATUS_S_SYSTEM_READY_FOR_UPDATE_TEXT' => 'Le système %s est prêt pour la mise à jour',
    'LANG_STATUS_S_SYSTEM_READY_FOR_UPGRADE_TEXT' => 'Le système %s est prêt pour la mise à jour',
    'LANG_STATUS_UPDATE_TO_NEXT_VERSION_TEXT' => 'Mettre à jour le plugin vers la prochaine version',
    'LANG_STATUS_UPGRADE_TO_NEXT_VERSION_TEXT' => 'Mettre à jour le plugin vers la version suivante',

    // OK / Error Messages - Status Element
    'LANG_STATUS_NOT_LOCALLY_ENABLED_OR_DB_UPDATE_IN_PROGRESS_ERROR_TEXT' => 'Erreur : le plugin n\'est pas activé localement ou la mise à jour de la base de données est en cours.',
    'LANG_STATUS_NOT_NETWORK_ENABLED_OR_DB_UPDATE_IN_PROGRESS_ERROR_TEXT' => 'Erreur : le plug-in n\'est pas compatible réseau ou la mise à jour de la base de données est en cours.',
    'LANG_STATUS_UPDATE_NOT_ALLOWED_ERROR_TEXT' => 'Échec : vous n\'êtes pas autorisé à mettre à jour. Soit vous avez déjà mis à jour le plugin,
ou vous avez une version du plugin antérieure à 4.3.0 (dans ce cas, veuillez d\'abord installer la version 4.3.0 du plugin).',
    'LANG_STATUS_UPGRADE_NOT_ALLOWED_ERROR_TEXT' => 'Échec : vous n\'êtes pas autorisé à mettre à niveau. Soit vous avez déjà mis à jour le plugin,
ou vous avez une version du plugin antérieure à 4.3.0 (dans ce cas, veuillez d\'abord installer la version 4.3.0 du plugin).',

    // Tables Observer
    'LANG_TABLES_TEXT' => 'Tableaux',

    // Table Element
    'LANG_TABLE_TEXT' => 'Tableau',

    // OK / Error Messages - Table Element
    'LANG_TABLE_QUERY_FAILED_FOR_TABLE_ERROR_TEXT' => 'Erreur sur le blog #%d : la requête MySQL n\'a pas pu être traitée pour la table \'%s\' !',
    'LANG_TABLE_QUERY_FAILED_FOR_PLUGIN_TABLE_CREATE_ERROR_TEXT' => 'Erreur sur le blog #%d : la requête de création de table du plug-in MySQL n\'a pas pu être traitée pour la table \'%s\' !',
    'LANG_TABLE_QUERY_FAILED_FOR_PLUGIN_TABLE_DROP_ERROR_TEXT' => 'Erreur sur le blog #%d : la requête de suppression de table du plug-in MySQL n\'a pas pu être traitée pour les tables :\'%s\'!',
    'LANG_TABLE_QUERY_FAILED_FOR_WP_TABLE_INSERTION_ERROR_TEXT' => 'Erreur sur le blog #%d : la requête d\'insertion de table MySQL WordPress n\'a pas pu être traitée pour la table \'%s\' !',
    'LANG_TABLE_QUERY_FAILED_FOR_PLUGIN_TABLE_INSERTION_ERROR_TEXT' => 'Erreur sur le blog #%d : la requête d\'insertion de table du plugin MySQL n\'a pas pu être traitée dans la table \'%s\' !',
    'LANG_TABLE_QUERY_FAILED_FOR_WP_TABLE_REPLACE_ERROR_TEXT' => 'Erreur sur le blog #%d : la requête de remplacement de table MySQL WordPress n\'a pas pu être traitée dans la table \'%s\' !',
    'LANG_TABLE_QUERY_FAILED_FOR_PLUGIN_TABLE_REPLACE_ERROR_TEXT' => 'Erreur sur le blog #%d : la requête de remplacement de la table du plugin MySQL n\'a pas pu être traitée dans la table \'%s\' !',
    'LANG_TABLE_QUERY_FAILED_FOR_WP_TABLE_DELETION_ERROR_TEXT' => 'Erreur sur le blog #%d : la requête de suppression du contenu de la table MySQL WordPress n\'a pas pu être traitée dans la table \'%s\' !',
    'LANG_TABLE_QUERY_FAILED_FOR_PLUGIN_TABLE_DELETION_ERROR_TEXT' => 'Erreur sur le blog #%d : la requête de suppression du contenu de la table du plug-in MySQL n\'a pas pu être traitée pour la table \'%s\' !',

    // Template Exceptions
    'LANG_TEMPLATE_CANNOT_BIND_VARIABLE_ERROR_TEXT' => 'Impossible de lier la variable nommée \'templateFile\'.',
    'LANG_TEMPLATE_NOT_EXIST_ERROR_TEXT' => 'Le fichier modèle %s n\'existe pas.',

    // Users Observer
    'LANG_USERS_TEXT' => 'Utilisateurs',

    // User Element
    'LANG_USER_TEXT' => 'Utilisateur',
    'LANG_USER_ID_TEXT' => 'Identifiant de l\'utilisateur',
    'LANG_USER_ID2_TEXT' => 'Identifiant utilisateur',
    'LANG_USER_SELECT_TEXT' => 'Utilisateur :',
    'LANG_USER_SELECT2_TEXT' => '- Sélectionner un utilisateur -', // Mo
    'LANG_USER_ACCOUNT_TEXT' => 'Compte',
    'LANG_USER_ACCOUNT_SELECT_TEXT' => 'Compte :',
    'LANG_USER_ACCOUNT_SELECT2_TEXT' => '- Sélectionnez un compte -', // Mo
    'LANG_USER_MY_ACCOUNT_TEXT' => 'Mon compte',
    'LANG_USER_MY_ACCOUNT2_TEXT' => 'Mon compte', // Majuscule minuscule
    'LANG_USER_ACCOUNT_ID_TEXT' => 'Identifiant de compte',
    'LANG_USER_ACCOUNT_ID2_TEXT' => 'Identifiant du compte', // Majuscule minuscule
    'LANG_USER_ACCOUNT_ID_OR_EMAIL_TEXT' => 'Identifiant de compte / E-mail',
    'LANG_USER_USERNAME_TEXT' => 'Nom d\'utilisateur',
    'LANG_USER_PASSWORD_TEXT' => 'Mot de passe',
    'LANG_USER_LOGIN_TEXT' => 'Connexion',
    'LANG_USER_ALREADY_HAVE_AN_ACCOUNT_TEXT' => 'Vous avez déjà un compte ?',
    'LANG_USER_SEARCH_FOR_MY_ACCOUNT_TEXT' => 'Rechercher mon compte',
    'LANG_USER_OR_CREATE_NEW_ACCOUNT_TEXT' => 'Ou créer un nouveau compte',

    // OK / Error Messages - User Element
    'LANG_USER_UNIQUE_USERNAME_CREATION_ERROR_TEXT' => 'Erreur : le système ne parvient pas à créer un nom d\'utilisateur unique pour le nouveau compte ! Veuillez contacter l\'administrateur du site.',
    'LANG_USER_EMAIL_IS_REQUIRED_TO_CREATE_A_NEW_ACCOUNT_ERROR_TEXT' => 'Erreur : un e-mail est requis pour créer un nouveau compte.',
    'LANG_USER_ACCOUNT_CREATION_ERROR_TEXT' => 'Erreur : le système ne parvient pas à créer un nouveau compte ! Veuillez contacter l\'administrateur du site.',
    'LANG_USER_LOGGING_IN_PLEASE_WAIT_TEXT' => 'Connexion, veuillez patienter...',
    'LANG_USER_PLEASE_LOGIN_FIRST_ERROR_TEXT' => 'Erreur : Veuillez d\'abord vous connecter !',
    'LANG_USER_NOT_ALLOWED_TO_ACCESS_THIS_CUSTOMER_ERROR_TEXT' => 'Erreur : Vous n\'êtes pas autorisé à accéder aux détails de ce client !',
    'LANG_USER_ACCOUNT_ID_OR_PASSWORD_ERROR_TEXT' => 'Erreur : ID de compte ou mot de passe erroné !',
    'LANG_USER_USERNAME_OR_PASSWORD_ERROR_TEXT' => 'Erreur : nom d\'utilisateur ou mot de passe erroné !',
    'LANG_USER_SUCCESSFULLY_LOGGED_IN_TEXT' => 'Connecté avec succès !',
    'LANG_USER_LOGIN_SUCCESSFUL_REDIRECTING_TEXT' => 'Connexion réussie, redirection...',

    // ReCaptcha
    'LANG_CAPTCHA_SECURITY_CODE_ERROR_TEXT' => 'Une erreur s\'est produite',
);